Bug 1563732 (CVE-2018-9159) - CVE-2018-9159 spark: Absolute and relative pathnames allow for unintended static file disclosure
Summary: CVE-2018-9159 spark: Absolute and relative pathnames allow for unintended sta...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-9159
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180306,repor...
Depends On:
Blocks: 1563734
TreeView+ depends on / blocked
 
Reported: 2018-04-04 14:53 UTC by Andrej Nemec
Modified: 2019-06-10 10:19 UTC (History)
0 users

Fixed In Version: spark 2.7.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:19:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2020 None None None 2018-06-26 16:40:30 UTC
Red Hat Product Errata RHSA-2018:2405 None None None 2018-08-14 19:51:41 UTC

Description Andrej Nemec 2018-04-04 14:53:09 UTC
It was found that Spark before 2.7.2 allows a remote attacker to read unintended static files via various representations of absolute or relative pathnames, as demonstrated by file: URLs and directory traversal sequences.

References:

http://sparkjava.com/news#spark-272-released

Upstream patches:

https://github.com/perwendel/spark/commit/ce9e11517eca69e58ed4378d1e47a02bd06863cc
https://github.com/perwendel/spark/commit/030e9d00125cbd1ad759668f85488aba1019c668

Upstream issue:

https://github.com/perwendel/spark/issues/981

Comment 2 errata-xmlrpc 2018-06-26 16:40:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:2020 https://access.redhat.com/errata/RHSA-2018:2020

Comment 3 errata-xmlrpc 2018-08-14 19:51:37 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R7

Via RHSA-2018:2405 https://access.redhat.com/errata/RHSA-2018:2405


Note You need to log in before you can comment on or make changes to this bug.